<app-header title="Details de votre rendez-vous"></app-header>
<ion-content>
    <ion-grid class="appointment ion-margin-horizontal mt-10">
        <!-- consultation -->
        <app-consultation [item]="item"></app-consultation>

        <ion-row class="ion-margin-vertical">
            <ion-col>
                <ion-text
                    class="text-secondary size-16 weight-600"
                    color="black-light"
                >
                    Des symptomes ?
                </ion-text>
            </ion-col>

            <ion-col size="auto">
                <ion-text
                    class="size-14"
                    color="primary"
                    data-testid="change-description"
                    (click)="openDescription()"
                    (keypress)="openDescription()"
                >
                    Modifier
                </ion-text>
            </ion-col>
        </ion-row>

        <!-- description -->
        <ion-textarea
            rows="9"
            class="appointment__description size-14 pl-10 radius-5"
            [(ngModel)]="problemDescription"
            [disabled]="disable"
            type="text-area"
            placeholder="Que ressentez vous ?"
            data-testid="description"
        ></ion-textarea>

        <!-- files -->
        <div class="my-30">
            <ion-row>
                <ion-col>
                    <ion-text
                        class="text-secondary size-16 weight-600"
                        color="black-light"
                    >
                        Fichiers
                    </ion-text>
                </ion-col>

                <ion-col size="auto">
                    <form [formGroup]="consultationForm">
                        <div (click)="file.click()" (keyPress)="file.click()">
                            <ion-text color="primary" class="size-14" data-testid="add-file">
                                Ajouter
                            </ion-text>

                            <input
                                #file
                                formControlName="file"
                                type="file"
                                hidden
                                [accept]="acceptedFileTypes"
                                (change)="loadPrescription($event)"
                            />
                        </div>
                    </form>
                </ion-col>
            </ion-row>

            <!-- slides -->
            <app-img-list [data]="listMedia"></app-img-list>
        </div>

        <ion-text class="size-12" color="red">
            Taille Max : 1 Mo<br />
            Types de fichiers : PNG, JPEG, JPG, et WEBP.
        </ion-text>        

        <!-- information and description -->
        <div class="ion-margin-vertical">
            <ion-text
                class="text-secondary size-20 weight-700"
                color="black-light"
            >
                Information </ion-text
            ><br />
            <ion-text class="size-13" color="black-light">
                Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed
                quis felis ac justo rutrum scelerisque. Suspendisse ac arcu
                venenatis, efficitur erat ut, viverra enim. Mauris nisi urna,
                dapibus et iaculis at, porttitor sollicitudin lorem.
            </ion-text>
        </div>
    </ion-grid>
</ion-content>

<ion-footer>
    <ion-row class="ion-justify-content-center ion-margin-bottom">
        <ion-col size="10">
            <app-button
                title="Suivant"
                [loading]="loading.getValue()"
                class="button--radius-10 size-18 is-white-dove"
                size="large"
                expand="full"
                shape="round"
                data-testid="submit-appointment"
                (click)="onSubmit()"
                (keypress)="onSubmit()"
            ></app-button>
        </ion-col>
    </ion-row>
</ion-footer>
